[slicer-users] [slicer-devel] getbuildtest error- Slicer3.6 checkout

Daniel Haehn haehn at bwh.harvard.edu
Wed Sep 29 14:58:54 EDT 2010


Hi Stuart,

you should check 

ldd -r /usr/bin/svnserve

and see if there is an entry like

libsvn_fs_util-1.so.0 => /usr/lib/libsvn_fs_util-1.so.0 (0x00857000)

Also check if the file exists under /usr/lib or /usr/lib64

But I agree with Steve, indeed it is strange that it only happens with Python.

Daniel

On Sep 29, 2010, at 2:45 PM, Steve Pieper wrote:

> Looks like the 'locate' command is not set up on your machine (would 
> need to run 'updatedb' as root to make it work).  But this is a side issue.
> 
> svn appears to be working for you except when it is being called from 
> within the numpy build script.  I can't really explain that, but if it 
> just started happening it's probably related to your machine config 
> somehow - I don't think any of the build stuff for python in the 
> slicer-3-6 branch has changed in a very long time...
> 
> -Steve
> 
> 
> On 09/29/2010 02:35 PM, swallace at nmr.mgh.harvard.edu wrote:
>> No luck:
>> 
>> [panamint:Slicer3] (nmr-dev-env) locate libsvn_fs_util
>> locate: can not open `/var/lib/mlocate/mlocate.db': No such file or directory
>> 
>> Using a centos 5 machine and the Martinos environment, but haven't run
>> into this error previously.
>> 
>> On Wed, September 29, 2010 2:24 pm, Steve Pieper wrote:
>>> Hi Stuart -
>>> 
>>> That's odd - it looks like your svn command is failing when building
>>> numpy.  At least for me on a ubuntu machine, the file it's complaining
>>> about should be provided by the 'libsvn1' package and be installed in
>>> /usr/lib.  Can you try something like the command below and see if it
>>> shows up for you?
>>> 
>>> pieper at boggs:~$ locate libsvn_fs_util
>>> /usr/lib/libsvn_fs_util-1.so.1
>>> /usr/lib/libsvn_fs_util-1.so.1.0.0
>>> 
>>> I just tried deleting and rebuilding my python code and all worked fine.
>>> 
>>> -Steve
>>> 
>>> On 09/29/2010 01:39 PM, swallace at nmr.mgh.harvard.edu wrote:
>>>> Hi all,
>>>> 
>>>> Get this error message when trying to run getbuildtest on Slicer3.6:
>>>> 
>>>> panamint:swallace:1:31pm[96] ./Scripts/getbuildtest.tcl -t ""
>>>> Sourcing
>>>> /autofs/space/birn_061/users/swallace/Slicer/slicer-source/Slicer3/slicer_variables.tcl
>>>> Slicer3_HOME is
>>>> /autofs/space/birn_061/users/swallace/Slicer/slicer-source/Slicer3
>>>> making with make -j 4
>>>> running: svn switch http://svn.slicer.org/Slicer3/trunk
>>>> At revision 15105.
>>>> 
>>>> running: sh ./Scripts/genlib.tcl
>>>> /autofs/space/birn_061/users/swallace/Slicer/slicer-source/Slicer3/../Slicer3-lib
>>>> -64
>>>> Sourcing
>>>> /autofs/space/birn_061/users/swallace/Slicer/slicer-source/Slicer3/slicer_variables.tcl
>>>> Slicer3_HOME is
>>>> /autofs/space/birn_061/users/swallace/Slicer/slicer-source/Slicer3
>>>> running: svn co http://svn.scipy.org/svn/numpy/branches/1.3.x numpy
>>>> Checked out revision 8716.
>>>> 
>>>> running:
>>>> /autofs/space/birn_061/users/swallace/Slicer/slicer-source/Slicer3/../Slicer3-lib/python-build/bin/python
>>>> ./setup.py build --fcompiler=xxx
>>>> svn: error while loading shared libraries: libsvn_fs_util-1.so.0: cannot
>>>> open shared object file: No such file or directory
>>>> Traceback (most recent call last):
>>>>    File "./setup.py", line 104, in<module>
>>>>      FULLVERSION += svn_version()
>>>>    File "./setup.py", line 86, in svn_version
>>>>      raise ValueError("Error while parsing svn version ?")
>>>> ValueError: Error while parsing svn version ?
>>>> 
>>>> child process exited abnormally
>>>> 1
>>>>      while executing
>>>> "error $ret"
>>>>      (procedure "runcmd" line 23)
>>>>      invoked from within
>>>> "runcmd $::Slicer3_LIB/python-build/bin/python ./setup.py build
>>>> --fcompiler=xxx"
>>>>      invoked from within
>>>> "if {  [BuildThis $::NUMPY_TEST_FILE "python"]&&
>>>> !$::USE_SYSTEM_PYTHON&&
>>>> [string tolower $::USE_PYTHON] == "on" } {
>>>> 
>>>>      set ::env(PYTHONHOME) $::Sli..."
>>>>      (file "./Scripts/genlib.tcl" line 762)
>>>> 
>>>> child process exited abnormally
>>>> ERROR: failed to run getbuildtest: sh ./Scripts/genlib.tcl
>>>> /autofs/space/birn_061/users/swallace/Slicer/slicer-source/Slicer3/../Slicer3-lib
>>>> -64
>>>> 
>>>> 
>>>> 
>>>> I checkd out the code from  http://svn.slicer.org/Slicer3/trunk.
>>>> 
>>>> Many thanks,
>>>> 
>>>> Stuart
>>>> _______________________________________________
>>>> slicer-devel mailing list
>>>> slicer-devel at bwh.harvard.edu
>>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-devel
>>>> To unsubscribe: send email to
>>>> slicer-devel-request at massmail.spl.harvard.edu with unsubscribe as the
>>>> subject
>>> 
>>> 
>>> 
>> 
> _______________________________________________
> slicer-devel mailing list
> slicer-devel at bwh.harvard.edu
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-devel
> To unsubscribe: send email to slicer-devel-request at massmail.spl.harvard.edu with unsubscribe as the subject




More information about the slicer-users mailing list